<template>
	<view class="questionBankAnswer-flex">
		<view class="questionBankAnswer-top-l">
			<view class="questionBankAnswer-tx">
				{{ current_timu.type == 1 ? "单选题" : current_timu.type == 2 ? "多选题" : current_timu.type == 3 ?'判断题' : current_timu.type == 4 ?'填空题' : current_timu.type == 5 ?'简答题' : '' }}
			</view>
			<view class="questionBankAnswer-dc djs" v-if="over_time && over_time.second != undefined">
				倒计时:
				<view>
					<uni-countdown :show-day="false" color="#fff" background-color="#3c7bfc" border-color="#3c7bfc"
						:hour="over_time.hour" @timeup="timeup" :minute="over_time.minute" :second="over_time.second">
					</uni-countdown>
				</view>
			</view>
			<view class="questionBankAnswer-top">
				<span>{{ timu_order }}</span>
				/{{ total_num }}
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		props: {
			over_time: {
				type: Object,
				default: function() {
					return {};
				},
			},
			current_timu: {
				type: Object,
				default: function() {
					return {}
				},
			},
			timu_order: {
				type: Number,
				default: 0
			},
			total_num: {
				type: Number,
				default: 0
			},
		},
		created() {
			console.log(this.timu_order)
		},
		methods: {
			timeup() {
				this.$emit('timeup')
			},
		}
	}
</script>

<style>
</style>
